package com.bitnix.dirtguilds.guild;

import java.util.UUID;

public class GuildInvite {

    private final UUID guildId;
    private final UUID target;
    private final UUID inviter;
    private final long expiresAt;

    public GuildInvite(UUID guildId, UUID target, UUID inviter, long expiresAt) {
        this.guildId = guildId;
        this.target = target;
        this.inviter = inviter;
        this.expiresAt = expiresAt;
    }

    public UUID getGuildId() {
        return guildId;
    }

    public UUID getTarget() {
        return target;
    }

    public UUID getInviter() {
        return inviter;
    }

    public long getExpiresAt() {
        return expiresAt;
    }

    public boolean isExpired() {
        return System.currentTimeMillis() > expiresAt;
    }
}
